epp_ContactTrnData (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.contact.epp_ContactTrnData class

### org.openrtk.idl.epprtk.contact

# Class epp_ContactTrnData

- `org.omg.CORBA.portable.ObjectImpl`
- - `org.openrtk.idl.epprtk.contact.epp_ContactTrnData`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity, epp_PollResData, epp_PollResDataOperations, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.Object

`public class epp_ContactTrnData`
`extends org.omg.CORBA.portable.ObjectImpl`
`implements org.omg.CORBA.portable.IDLEntity, epp_PollResData`

FIXME! $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/contact/epp_ContactTrnData.java,v 1.1 2004/12/07 15:27:49 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:49 $

See Also:
  `epp_ContactInfoReq`

  ## Field Summary
  `String` | `m_action_client_id` The identifier of the client that should act upon the contact transfer request.
  `String` | `m_action_date` The required or completed action date to the contact transfer request.
  `String` | `m_id` The id of the contact object in the registry.
  `String` | `m_request_client_id` The identifier of the client that requested the contact object transfer.
  `String` | `m_request_date` The date that the contact transfer was requested.
  `epp_TransferStatusType` | `m_transfer_status` The transfer status associated with the contact object.
  `static String` | `m_type` Constant variable defined by IDLs.

  ## Constructor Summary
  `epp_ContactTrnData()` Empty constructor
  `epp_ContactTrnData(String _m_id, epp_TransferStatusType _m_transfer_status, String _m_request_client_id, String _m_action_client_id, String _m_request_date, String _m_action_date)` The constructor with initializing variables.

  ## Method Summary
  `String[]` | `_ids()` Method required by ObjectImpl and the CORBA Object interface.
  `String` | `getActionClientId()` Accessor method for the identifier of the client that should act upon the contact transfer request
  `String` | `getActionDate()` Accessor method for the required or completed action date to the contact transfer request
  `String` | `getId()` Accessor method for the id of the contact object in the registry
  `String` | `getRequestClientId()` Accessor method for the identifier of the client that requested the contact object transfer
  `String` | `getRequestDate()` Accessor method for the date that the contact transfer was requested
  `epp_TransferStatusType` | `getTransferStatus()` Accessor method for the transfer status associated with the contact object
  `String` | `getType()` Access method for the m_type constant.
  `void` | `setActionClientId(String value)` Accessor method for the identifier of the client that should act upon the contact transfer request
  `void` | `setActionDate(String value)` Accessor method for the required or completed action date to the contact transfer request
  `void` | `setId(String value)` Accessor method for the id of the contact object in the registry
  `void` | `setRequestClientId(String value)` Accessor method for the identifier of the client that requested the contact object transfer
  `void` | `setRequestDate(String value)` Accessor method for the date that the contact transfer was requested
  `void` | `setTransferStatus(epp_TransferStatusType value)` Accessor method for the transfer status associated with the contact object
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_action_client_id

    public String m_action_client_id

> The identifier of the client that should act upon the contact transfer request.
> See Also:
>   `setActionClientId(String)`, `getActionClientId()`

### m_action_date

    public String m_action_date

> The required or completed action date to the contact transfer request.
> See Also:
>   `setActionDate(String)`, `getActionDate()`

### m_id

    public String m_id

> The id of the contact object in the registry.
> See Also:
>   `setId(String)`, `getId()`

### m_request_client_id

    public String m_request_client_id

> The identifier of the client that requested the contact object transfer.
> See Also:
>   `setRequestClientId(String)`, `getRequestClientId()`

### m_request_date

    public String m_request_date

> The date that the contact transfer was requested.
> See Also:
>   `setRequestDate(String)`, `getRequestDate()`

### m_transfer_status

    public epp_TransferStatusType m_transfer_status

> The transfer status associated with the contact object.
> See Also:
>   `setTransferStatus(epp_TransferStatusType)`, `getTransferStatus()`

### m_type

    public static final String m_type

> Constant variable defined by IDLs. Used when this classes is used to hold the poll response data pertaining to contact transfer notifications. The value of this constant links this class to a set of poll response data.

## Constructor Details

### epp_ContactTrnData

    public epp_ContactTrnData()

> Empty constructor

### epp_ContactTrnData

    public epp_ContactTrnData(String _m_id,
                              epp_TransferStatusType _m_transfer_status,
                              String _m_request_client_id,
                              String _m_action_client_id,
                              String _m_request_date,
                              String _m_action_date)

> The constructor with initializing variables.
> Parameters:
>   `_m_id` - The id of the contact object in the registry
>   `_m_transfer_status` - The transfer status associated with the contact object
>   `_m_request_client_id` - The identifier of the client that requested the contact object transfer
>   `_m_action_client_id` - The identifier of the client that should act upon the contact transfer request
>   `_m_request_date` - The date that the contact transfer was requested
>   `_m_action_date` - The required or completed action date to the contact transfer request

## Method Details

### _ids

    public String[] _ids()

> Method required by ObjectImpl and the CORBA Object interface. Always returns null. It's only here to satisfy the CORBA requirements of the IDL usage.

### getActionClientId

    public String getActionClientId()

> Accessor method for the identifier of the client that should act upon the contact transfer request
> Returns:
>   The contact action client id
> See Also:
>   `m_action_client_id`

### getActionDate

    public String getActionDate()

> Accessor method for the required or completed action date to the contact transfer request
> Returns:
>   The action date to the contact transfer request
> See Also:
>   `m_action_date`

### getId

    public String getId()

> Accessor method for the id of the contact object in the registry
> Returns:
>   The contact id
> See Also:
>   `m_id`

### getRequestClientId

    public String getRequestClientId()

> Accessor method for the identifier of the client that requested the contact object transfer
> Returns:
>   The contact request client id
> See Also:
>   `m_request_client_id`

### getRequestDate

    public String getRequestDate()

> Accessor method for the date that the contact transfer was requested
> Returns:
>   The contact transfer request date
> See Also:
>   `m_request_date`

### getTransferStatus

    public epp_TransferStatusType getTransferStatus()

> Accessor method for the transfer status associated with the contact object
> Returns:
>   The contact transfer status
> See Also:
>   `m_transfer_status`

### getType

    public String getType()

> Access method for the m_type constant.
> Specified by:
>   getType in interface epp_PollResDataOperations
> See Also:
>   `m_type`

### setActionClientId

    public void setActionClientId(String value)

> Accessor method for the identifier of the client that should act upon the contact transfer request
> Parameters:
>   `value` - The contact action client id
> See Also:
>   `m_action_client_id`

### setActionDate

    public void setActionDate(String value)

> Accessor method for the required or completed action date to the contact transfer request
> Parameters:
>   `value` - The action date to the contact transfer request
> See Also:
>   `m_action_date`

### setId

    public void setId(String value)

> Accessor method for the id of the contact object in the registry
> Parameters:
>   `value` - The contact id
> See Also:
>   `m_id`

### setRequestClientId

    public void setRequestClientId(String value)

> Accessor method for the identifier of the client that requested the contact object transfer
> Parameters:
>   `value` - The contact request client id
> See Also:
>   `m_request_client_id`

### setRequestDate

    public void setRequestDate(String value)

> Accessor method for the date that the contact transfer was requested
> Parameters:
>   `value` - The contact transfer request date
> See Also:
>   `m_request_date`

### setTransferStatus

    public void setTransferStatus(epp_TransferStatusType value)

> Accessor method for the transfer status associated with the contact object
> Parameters:
>   `value` - The contact transfer status
> See Also:
>   `m_transfer_status`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS